#ifndef SCENEGRAPHVISITOR_H
#define SCENEGRAPHVISITOR_H

#include "GraphNode.h"
#include "Group.h"
#include "Material.h"
#include "Transform.h"
#include "VertexArray.h"


namespace nsSceneGraph {

class SceneGraphVisitor
{
	public:
		virtual ~SceneGraphVisitor(void);

		virtual void visit(GraphNode *graphNode);
		virtual void visit(Group *group) = 0;
		virtual void visit(Material *material) = 0;
		virtual void visit(Transform *transform) = 0;
		virtual void visit(VertexArray *vertexArray) = 0;
};


}

#endif

